---
title: Store Stock
slug: redcircleapi/target-product-data-api/parameters/store-stock
docTags: 
createdAt: 2024-07-27T14:22:43.825Z
---

# Store Stock Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Store Stock Parameters are applicable when making a request with  `type=store_stock`  to retrieve in-store stock information of a single product on Target - the product is specified using either the  `tcin`   `dpci`  or  `url`  parameter (where the  `url`  parameter contains a link to an Target product page). The parameters should be appended as querystring parameters to the Target Product Data API `GET` HTTP request.

The location to perform the search is specified using the  `store_stock_zipcode`  parameter. Up to 20 stores within a 50 mile radius of the specified zipcode will be returned.

:::hint{type="info"}
`store_stock_zipcode`  **vs.**  `customer_zipcode`  **Parameters**
When making  `type=store_stock`  requests the  `store_stock_zipcode`  parameter is used. This is a distinct parameter only used for  `store_stock`  requests. It is unrelated to the  `customer_zipcode`  parameter used for geolocation in other request types.

There is no need to set up zipcodes used in the  `store_stock`   `store_stock_zipcode`  parameter in the Zipcodes API prior to use, and they do not count towards your zipcodes quota.
:::

You may use the  `only_in_stock=true`  parameter to limit your results to only those stores that have stock of the requested  `tcin` .

Store stock details are retrieved from the [store stock check page](https://www.target.com/p/sharpie-4pk-highlighters-pocket-style-chisel-tip-multicolor/-/A-78025470) for a single product on Target.

![](https://apiimages.imgix.net/redcircleapi/images/png/docs/store_stock.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Store Stock Page")

For example, to request store stock details a product with  `tcin=78025470`  in stores near to  `store_stock_zipcode=52404`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.redcircleapi.com/request?api_key=demo&type=store_stock&tcin=78025470&store_stock_zipcode=52404
```

```curl
curl -L --get https://api.redcircleapi.com/request \
-d api_key="demo" \
-d type="product" \
-d tcin="78025470" \
-d store_stock_zipcode="52404"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  tcin: "78025470",
  store_stock_zipcode: "52404"
}

// make the http GET request to RedCircle API
axios.get('https://api.redcircleapi.com/request', { params })
  .then(response => {

    // print the JSON response from RedCircle API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'tcin': '78025470',
  'store_stock_zipcode': '52404'
}

# make the http GET request to RedCircle API
api_result = requests.get('https://api.redcircleapi.com/request', params)

# print the JSON response from RedCircle API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'product',
  'tcin' => '78025470',
  'store_stock_zipcode' => '52404'
]);

# make the http GET request to RedCircle API
$ch = curl_init(sprintf('%s?%s', 'https://api.redcircleapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from RedCircle API
echo $api_result;

?>
```
:::

***

### Store Stock Parameters

The following parameters are available for all requests made when  `type=store_stock` .

| `Parameter`           | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| --------------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `tcin`                | `optional` | The Target TCIN (item ID) to retrieve store stock details for.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `dpci`                | `optional` | The DPCI code to look up a matching product on Target for to retrieve store stock data. DPCI-based requests work by searching for the DPCI on Target first, then retrieving the store stock details for the first matching `tcin` .                                                                                                                                                                                                                                                                                    |
| `gtin`                | `optional` | The GTIN/ISBN/UPC code to look up a matching product on Target for to retrieve store stock data. If the `gtin` parameter is supplied then the `tcin` and `dpci` parameters are ignored. GTIN-based requests work by searching for the GTIN/ISBN/UPC on Target first, then retrieving the store stock details for the first matching `tcin` .                                                                                                                                                                           |
| `url`                 | `optional` | The Target product-page URL to retrieve store stock details from.  <br />**Note** : If the `url` parameter is supplied then the `tcin` , `dpci` and `gtin` parameters are ignored. The `url` must be a valid Target product page URL.                                                                                                                                                                                                                                                                                  |
| `store_stock_zipcode` | `required` | The zipcode to use to search for nearby store stock results. Up to 20 stores within a 50 mile radius are returned.  <br />**Note** that `store_stock_zipcode` is a distinct parameter only used for `store_stock` requests. It is unrelated to the `customer_zipcode` parameter used for geolocation in other request types.  <br />There is no need to set up zipcodes used in the `store_stock` `store_stock_zipcode` parameter in the Zipcodes API prior to use, and they do not count towards your zipcodes quota. |
| `only_in_stock`       | `optional` | Set to `true` to limit your results to only those stores that have stock of the requested `tcin` . Defaults to `false` (to include all stores within a 50 mile radius of the requested `store_stock_zipcode` , irrespective of whether they have stock of the requested `tcin` ).                                                                                                                                                                                                                                      |

***

**Next Steps**
     [Store Stock Results](https://docs.trajectdata.com/redcircleapi/target-product-data-api/results/store-stock)
